import {HardhatRuntimeEnvironment} from "hardhat/types";
import {DeployFunction} from "hardhat-deploy/types";
import {deplayOne} from "../scripts/utils";
import {ZeroAddress} from "ethers";


const deployNFTClaim: DeployFunction = async function (hre: HardhatRuntimeEnvironment) {
  const config = require(`../config/config_${hre.network.name}`);
  const tokenName = "Escrowed CEC";
  const tokenSymbol = "esCEC";
  const esCEC = await deplayOne({
    hre,
    name: "esCEC",
    type: "erc20",
    contractName: "EsToken",
    args: [tokenName, tokenSymbol],
    verify: true,
  });
};

deployNFTClaim.tags = ["EsCEC"];

export default deployNFTClaim;
